## org.eclipse.emf.workspace.examples.extlibrary.domain
Class EXTLibraryEditingDomainFactory

    java.lang.Object
      org.eclipse.emf.workspace.examples.extlibrary.domain.EXTLibraryEditingDomainFactory

All Implemented Interfaces:
  TransactionalEditingDomain.Factory

    public class EXTLibraryEditingDomainFactory

extends Object
implements TransactionalEditingDomain.Factory

An editing domain factory registered on the extension point to create our shared editing domain for EXTLibrary model editors.

Field Summary

Fields inherited from interface org.eclipse.emf.transaction.TransactionalEditingDomain.Factory
`INSTANCE`

Constructor Summary
`EXTLibraryEditingDomainFactory()`

Method Summary
`TransactionalEditingDomain` `createEditingDomain()` Creates an editing domain with a default resource set implementation.
`TransactionalEditingDomain` `createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)` Creates a new transactional editing domain on the specified resource set.
`TransactionalEditingDomain` `getEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)` Obtains the transactional editing domain (if any) that is currently managing the specified resource set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EXTLibraryEditingDomainFactory

    public EXTLibraryEditingDomainFactory()

Method Detail

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain()

  Description copied from interface: `TransactionalEditingDomain.Factory`
  Creates an editing domain with a default resource set implementation.

  Specified by:
    `createEditingDomain` in interface `TransactionalEditingDomain.Factory`
  Returns:
    the new editing domain

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)

  Description copied from interface: `TransactionalEditingDomain.Factory`
  Creates a new transactional editing domain on the specified resource set. Although it is possible to create multiple editing domains on the same resource set, this would rarely be useful.

  Specified by:
    `createEditingDomain` in interface `TransactionalEditingDomain.Factory`
  Parameters:
    `rset` - the resource set
  Returns:
    a new editing domain on the supplied resource set

### getEditingDomain

    public TransactionalEditingDomain getEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)

  Description copied from interface: `TransactionalEditingDomain.Factory`
  Obtains the transactional editing domain (if any) that is currently managing the specified resource set.

  Specified by:
    `getEditingDomain` in interface `TransactionalEditingDomain.Factory`
  Parameters:
    `rset` - a resource set
  Returns:
    its editing domain, or `null` if it is not managed by any `TransactionalEditingDomain`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.